package dev.kske.minesweeper;

import java.io.Serializable;

/**
 * Project: <strong>Minesweeper</strong><br>
 * File: <strong>BoardConfig.java</strong><br>
 * Created: <strong>01.04.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class BoardConfig implements Serializable {

	private static final long serialVersionUID = -6083006887427383946L;
	
	public final int width, height, mines;

	public BoardConfig(int width, int height, int mines) {
		this.width	= width;
		this.height	= height;
		this.mines	= mines;
	}
	
	@Override
	public String toString() {
		return String.format("%d %d %d", width, height, mines);
	}
}
